<html>
<head>
	<title>Mail versturen aan de lijst op bais van nieuwsbrief.txt</title>
</head>
<body>

<?php
ini_set("SMTP", "smtp.chello.nl");
ini_set("smtp_port", 25);
ini_set ("sendmail_from", "burger@leer-php.nl");
$bestandsnaam = "email.txt";
$gegevens = file($bestandsnaam); // Sla bestand op in array

$bestandsnaam = "nieuwsbrief.txt";
$filehandle = fopen($bestandsnaam, "r");
$orig_nieuwsbrief = fread($filehandle, filesize($bestandsnaam)); // filesize() geeft de grootte van het bestand weer in bytes. Op deze manier bepalen hoeveel we inlezen met fread().
fclose($filehandle);

	$afzender = "website@leer-php.nl";
	$onderwerp = "Welkom bij onze dienst!";

	$aantal_adressen = count($gegevens);
	for ($nr=0; $nr < $aantal_adressen; $nr++) {
		$deze_nieuwsbrief = $orig_nieuwsbrief;
		$items = explode("|", $gegevens[$nr]);
		$achternaam = $items[0];
		$voornaam = $items[1];
		$geslacht = $items[2];
		if ($geslacht == "man") {
			$geslacht = "heer";
		} else {
			$geslacht = "mevrouw";
		}
		$mailadres = $items[3];

		$deze_nieuwsbrief = ereg_replace("{achternaam}", $achternaam, $deze_nieuwsbrief);
		$deze_nieuwsbrief = ereg_replace("{voornaam}", $voornaam, $deze_nieuwsbrief);
		$deze_nieuwsbrief = ereg_replace("{geslacht}", $geslacht, $deze_nieuwsbrief);
		$datum = date("d-m-Y", time());
		$deze_nieuwsbrief = ereg_replace("{datum}", $datum, $deze_nieuwsbrief);

		echo "Stuur mail:<br>$deze_nieuwsbrief<br>";

		mail($mailadres, $onderwerp, $deze_nieuwsbrief, "from: $afzender");
	}

?>
</body>
</html>
